LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-17-2010, 01:53 AM   #1
karthickk02
Member
 
Registered: Sep 2010
Posts: 46

Rep: Reputation: 0
Thumbs up Dependency Problem for Installing piding and google talk pulgin


While i'm trying to install pidgin on my Red Hat Linux Using yum it appears Dependency Missing Error. I listed below that missing dependency error details.

libpurple-2.7.3-0.el5.i386 from pidgin has depsolving problems
--> Missing Dependency: cyrus-sasl-md5 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
libpurple-2.7.3-0.el5.i386 from pidgin has depsolving problems
--> Missing Dependency: libsilc-1.0.so.2 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
libpurple-2.7.3-0.el5.i386 from pidgin has depsolving problems
--> Missing Dependency: libsilcclient-1.0.so.1 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
Error: Missing Dependency: cyrus-sasl-md5 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
Error: Missing Dependency: libsilc-1.0.so.2 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
Error: Missing Dependency: libsilcclient-1.0.so.1 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)



How can i clear this error and install pidgin software using yum. Also i got error like missing dependency for google talk plugin install.
 
Old 09-17-2010, 01:58 AM   #2
prayag_pjs
Senior Member
 
Registered: Feb 2008
Location: Pune - India
Distribution: Fedora,RedHat,CentOS,Gentoo
Posts: 1,142
Blog Entries: 4

Rep: Reputation: 147Reputation: 147
try installing missing plug-ins again using yum

for example

yum -y install cyrus-sasl-md5

also check deplist option
 
Old 09-17-2010, 02:07 AM   #3
sem007
Member
 
Registered: Nov 2006
Distribution: RHEL, CentOS, Debian Lenny, Ubuntu
Posts: 638

Rep: Reputation: 113Reputation: 113
Quote:
Originally Posted by karthickk02 View Post
While i'm trying to install pidgin on my Red Hat Linux Using yum it appears Dependency Missing Error. I listed below that missing dependency error details.

libpurple-2.7.3-0.el5.i386 from pidgin has depsolving problems
--> Missing Dependency: cyrus-sasl-md5 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
libpurple-2.7.3-0.el5.i386 from pidgin has depsolving problems
--> Missing Dependency: libsilc-1.0.so.2 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
libpurple-2.7.3-0.el5.i386 from pidgin has depsolving problems
--> Missing Dependency: libsilcclient-1.0.so.1 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
Error: Missing Dependency: cyrus-sasl-md5 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
Error: Missing Dependency: libsilc-1.0.so.2 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)
Error: Missing Dependency: libsilcclient-1.0.so.1 is needed by package libpurple-2.7.3-0.el5.i386 (pidgin)



How can i clear this error and install pidgin software using yum. Also i got error like missing dependency for google talk plugin install.
Where is your YUM server? Is it local YUM or you trying to install from RHN.

find out dependent package and install it.
resolvedep option provide list of packages of dependencies.

Code:
#[root@localhost ~]# yum resolvedep libsilcclient-1.0.so.1
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: mirrors.hns.net.in
 * base: mirrors.hns.net.in
 * extras: mirrors.hns.net.in
 * updates: mirrors.hns.net.in
0:libsilc-1.0.2-2.fc6.i386
Hope this help

Regards,
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Google Talk #2 – Google Web Toolkit & WebM with Brad Abrams LXer Syndicated Linux News 0 09-13-2010 06:50 PM
LXer: Google Talk #1 – All about App Engine with Google’s Fred Sauer LXer Syndicated Linux News 0 09-06-2010 04:00 PM
Google talk problem robortwillys Linux - Software 1 10-29-2009 10:53 AM
Installing & using google talk & skype & other Windows applicatiounder Xubuntu rakeshj Linux - Desktop 6 07-31-2007 01:40 PM
guys why do u think google hasn't made an official google talk linux on linux platfor deepinlife General 11 11-12-2006 10:20 AM


All times are GMT -5. The time now is 07:18 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration